summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2018-05-18 23:22:19 +0100
committerSergei Trofimovich <slyfox@gentoo.org>2018-05-19 10:12:34 +0100
commit4fe06e8fdf07b4b0dea14de464754dcd178d5d8c (patch)
tree59ba129d0f5e8fcec33025303970efd55a883b26 /sys-devel
parentsys-devel/gcc: bump 7.3.0 patchset up to 1.4 (diff)
downloadgentoo-4fe06e8fdf07b4b0dea14de464754dcd178d5d8c.tar.gz
gentoo-4fe06e8fdf07b4b0dea14de464754dcd178d5d8c.tar.bz2
gentoo-4fe06e8fdf07b4b0dea14de464754dcd178d5d8c.zip
sys-devel/gcc: bump 6.4.0 patchset up to 1.4
1 update: - 13_all_default-ssp-fix.patch : fix breakage of -ffreestanding Not assigning any keywords as there is not many changes compares to previous ebuild. Bug: https://bugs.gentoo.org/646440 Package-Manager: Portage-2.3.38, Repoman-2.3.9
Diffstat (limited to 'sys-devel')
-rw-r--r--sys-devel/gcc/Manifest1
-rw-r--r--sys-devel/gcc/gcc-6.4.0-r2.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/sys-devel/gcc/Manifest b/sys-devel/gcc/Manifest
index 2f1d85d93ba..3e47334471a 100644
--- a/sys-devel/gcc/Manifest
+++ b/sys-devel/gcc/Manifest
@@ -49,6 +49,7 @@ DIST gcc-5.4.0-piepatches-v0.6.5.tar.bz2 14551 BLAKE2B 6f3de9be0990a7580785821d8
DIST gcc-5.4.0-uclibc-patches-1.0.tar.bz2 3731 BLAKE2B fa436d1c1d9c150714092132f816740f8218dfeb4f9a6a8c830ea54d211a020f209e6fd1fcc313b2560b82c7855120053d346af72b7c12c88a7a948379dd2356 SHA512 009f34197e79c5e8c6497a0db01ac45cc657e92e56a663b4f3281661d108b2a129cd977fab5f0064f225d6812ae91e82bab22a2b10ae02c486881eeed85ec7a3
DIST gcc-5.4.0.tar.bz2 95661481 BLAKE2B bf882acfa28cc1064cddd21e25332fff6bc65505d6af9acb2e455916edbc4f6b1de9b3524867f51d7819fc4f213ce21332fbf67cf71cd6c7b96fb8907e51d570 SHA512 2941cc950c8f2409a314df497631f9b0266211aa74746c1839c46e04f1c7c299afe2528d1ef16ea39def408a644ba48f97519ec7a7dd37d260c3e9423514265b
DIST gcc-6.4.0-patches-1.3.tar.bz2 13617 BLAKE2B 6bfb1d70397e6ca4359e5d190e36003c18c7a03a9be4f923461dcff11307601e6b3502a2e289585b53baeb919008d83c29ad24078f814aed9b331140e4687419 SHA512 91be7c8db0004cdd150fec0f8daa709374753d2f524c58087dcf45b6696dbd609972297e866f971fba1aa679464cf96a384dd111e104183c0939ab69add017b2
+DIST gcc-6.4.0-patches-1.4.tar.bz2 13451 BLAKE2B 9934558989405141ae22c941fc4f5b4fb9dc425b0f35b458ab9c2704b8fbf61975a93c3d0e4c9ebde0cc7f935be868e9ad7ebdd78441235b81316fcca339fc42 SHA512 6d94f1ac196deabc8fcd30215bcbec4bbb19924929ef11c3000c8bfa189c59d87f95d37ac8cb0ff2d59cc2fc632b5767dbb80cbe7a354084cb2bc5e14cfbabb2
DIST gcc-6.4.0-uclibc-patches-1.0.tar.bz2 1586 BLAKE2B 21f97a9e1c349b3d52def092a03e5a90533521da9af586be7ee527594f2d65745491ff8758d88c99a7ac215bde7ebf4e47a0a36cfcd7e66f70e0bebf2dadd922 SHA512 266dbe2bb53d892a24cd752d5c6833ea33f8df8b11b0471700ee53865243cd41f412f9bea8a369b474c9cd1435faff2e03902c7cb5638dd3ddcaa665aa2ec522
DIST gcc-6.4.0.tar.xz 76156220 BLAKE2B 2018c338b28ea644cdd1b327cb0dfe7ee9aa2010357c93f7e71969f587c58d3fdfa2bb4c82a309490c48bc86924400022fa93f41dc6c4345878d1bc1d8204265 SHA512 02c60e54527c7adf584798d5251f8a0b80c93d5deafce82501b2c28e6692e0bd783927bbfc4bc527a863c0cccc025150a34740a9e29badb02d4b48e56a8aba90
DIST gcc-7.2.0-patches-1.1.tar.bz2 9246 BLAKE2B f6eec8459e5ac1f177d9a417c59616ad53e4ba6da8744cf55922d3a401717bd5bfdf79296a1c0b856cfa03349e73b8034ab6024b83d3f5ef909534811ba470f2 SHA512 d08b31d1279cc4c6ba46b2dca6ebed4e5c8e4997f0859acab86c974209ce4aacd0df09632e70c3fb8ee7108ecb8208c8b8605e66a7e8d2568e45644bfeee4fbe
diff --git a/sys-devel/gcc/gcc-6.4.0-r2.ebuild b/sys-devel/gcc/gcc-6.4.0-r2.ebuild
new file mode 100644
index 00000000000..e358f114fea
--- /dev/null
+++ b/sys-devel/gcc/gcc-6.4.0-r2.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+PATCH_VER="1.4"
+UCLIBC_VER="1.0"
+
+inherit toolchain
+
+#unkeyworded yet. not enough changes to warant a revbump
+#KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ elibc_glibc? ( >=sys-libs/glibc-2.13 )
+ >=${CATEGORY}/binutils-2.20"
+
+if [[ ${CATEGORY} != cross-* ]] ; then
+ PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.13 )"
+fi
+
+src_prepare() {
+ toolchain_src_prepare
+}